update akuz.t_vaccine_library
set typeofvaccination = case
    when name ilike 'туберкулин%' then 10  -- проба
    when name ilike '1 вакцинация%' then 0  -- 1 вакцинация
    when name ilike '2 вакцинация%' then 1  -- 2 вакцинация
    when name ilike '3 вакцинация%' then 2  -- 3 вакцинация
    when name ilike '4 вакцинация%' then 3  -- 4 вакцинация
    when name ilike '1 ревакцинация%' then 4  -- 1 ревакцинация
    when name ilike '2 ревакцинация%' then 5  -- 2 ревакцинация
    when name ilike '3 ревакцинация%' then 6  -- 3 ревакцинация
    when name ilike '4 ревакцинация%' then 7  -- 4 ревакцинация
    when name ilike 'вакцинация%' then 8  -- вакцинация
    when name ilike '%ревакцинация%' then 9  -- ревакцинация
    else 8  -- вакцинация по умолчанию
end;